usb_create_hcd
Prev | Chapter 6. Host Controller APIs | Next

## Name

usb_create_hcd — create and initialize an HCD structure

## Synopsis

`struct usb_hcd * usb_create_hcd (` | const struct hc_driver * | driver,
| struct device * | dev,
| char * | bus_name`)`;

## Arguments

`driver`

  HC driver that will use this hcd

`dev`

  device for this HC, stored in hcd->self.controller

`bus_name`

  value to store in hcd->self.bus_name

## Context

!`in_interrupt`

## Description

Allocate a struct usb_hcd, with extra space at the end for the HC driver's private data. Initialize the generic members of the hcd structure.

If memory is unavailable, returns NULL.

Prev | Up | Next
usb_hc_died | Home | usb_add_hcd